using System;
using System.Data;
using System.Collections.Generic;
using CallCenterApi.Model;
namespace CallCenterApi.BLL
{
	/// <summary>
	/// 1
	/// </summary>
	public partial class T_Bus_WorkOrderNew
    {
		private readonly CallCenterApi.DAL.T_Bus_WorkOrderNew dal =new CallCenterApi.DAL.T_Bus_WorkOrderNew();
		public T_Bus_WorkOrderNew()
		{}
        #region  Method

        /// <summary>
        /// 得到最大ID
        /// </summary>
        public int GetMaxId()
        {
            return dal.GetMaxId();
        }
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(string F_WorkOrderId)
        {
            return dal.Exists(F_WorkOrderId);
        }

        /// <summary>
		/// 增加一条数据
		/// </summary>
		public int Add(CallCenterApi.Model.T_Bus_WorkOrder model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(CallCenterApi.Model.T_Bus_WorkOrderNew model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_Id)
        {

            return dal.Delete(F_Id);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_Idlist)
        {
            return dal.DeleteList(F_Idlist);
        }

        /// <summary>
		/// 逻辑删除一条数据
		/// </summary>
		public bool DeleteLogicList(string F_WorkOrderIdlist)
        {
            return dal.DeleteLogicList(F_WorkOrderIdlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Bus_WorkOrderNew GetModel(int F_Id)
        {
            return dal.GetModel(F_Id);
        }
        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Bus_WorkOrderNew GetModel(string F_WorkOrderId)
        {
            return dal.GetModel(F_WorkOrderId);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Bus_WorkOrderNew> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Bus_WorkOrderNew> DataTableToList(DataTable dt)
        {
            List<CallCenterApi.Model.T_Bus_WorkOrderNew> modelList = new List<CallCenterApi.Model.T_Bus_WorkOrderNew>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                CallCenterApi.Model.T_Bus_WorkOrderNew model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = dal.DataRowToModel(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        //public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        //{
        //return dal.GetList(PageSize,PageIndex,strWhere);
        //}

        /// <summary>
        /// 根据坐席号获取新的工单号
        /// </summary>
        /// <param name="p_UserCode"></param>
        /// <returns></returns>
        public string GetNewWorkOrderID(string p_UserCode)
        {
            return dal.GetNewWorkOrderID(p_UserCode);

        }

        // /// <summary>
        ///// 从视图得到一个对象实体
        ///// </summary>
        //public CallCenterApi.Model.T_Bus_WorkOrderNew GetModelFromView(string F_WorkOrderId)
        //{
        //    return dal.GetModelFromView(F_WorkOrderId);
        //}
		#endregion  Method
    }
}

